"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  display: flex;\n  flex-direction: row;\n  justify-content: center;\n  align-items: center;\n  padding: 5px 8px;\n  font-family: ", ";\n  font-size: 1rem;\n  font-weight: 500;\n  color: ", ";\n  background-color: ", ";\n  border: 1px solid ", ";\n  border-radius: 5px;\n  margin-right: 5px;\n  cursor: pointer;\n\n  &:hover {\n    color: ", ";\n    background-color: ", ";\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Wrapper = _styledComponents.default.a(_templateObject(), function (props) {
  return props.theme['fontPrimary'];
}, function (props) {
  return props.selected ? props.theme['paginationSelectedColor'] : props.theme['paginationColor'];
}, function (props) {
  return props.selected ? props.theme['paginationSelectedBackgroundColor'] : props.theme['paginationBackgroundColor'];
}, function (props) {
  return props.theme['paginationBorderColor'];
}, function (props) {
  return props.theme['paginationHoverColor'];
}, function (props) {
  return props.selected ? props.theme['paginationSelectedBackgroundColor'] : props.theme['paginationHoverBackgroundColor'];
});

var PaginationItem = function PaginationItem(_ref) {
  var children = _ref.children,
      selected = _ref.selected,
      rest = _objectWithoutProperties(_ref, ["children", "selected"]);

  return _react.default.createElement(Wrapper, _extends({
    selected: selected
  }, rest), children);
};

PaginationItem.propTypes = {
  children: _propTypes.default.node,
  selected: _propTypes.default.bool
};
PaginationItem.defaultProps = {
  selected: false
};
var _default = PaginationItem;
exports.default = _default;